# Class CannotUndoException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
javax.swing.undo.CannotUndoException

All Implemented Interfaces:
  `Serializable`

public class CannotUndoException extends RuntimeException
Thrown when an UndoableEdit is told to `undo()` and can't.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans has been added to the `java.beans` package. Please see `XMLEncoder`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CannotUndoException()`
  Constructs a `CannotUndoException`.

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CannotUndoException

    public CannotUndoException()
    Constructs a `CannotUndoException`.